=== modified file 'lib/canonical/launchpad/components/externalbugtracker/trac.py'
--- lib/canonical/launchpad/components/externalbugtracker/trac.py	2008-04-18 15:43:57 +0000
+++ lib/canonical/launchpad/components/externalbugtracker/trac.py	2008-04-18 17:20:32 +0000
@@ -364,9 +364,11 @@
         bug = self.bugs[int(bug_watch.remotebug)]
         comment = bug['comments'][comment_id]
 
-        comment_time = datetime.fromtimestamp(comment['time'])
+        comment_datecreated = datetime.fromtimestamp(
+            comment['time'], pytz.timezone('UTC'))
         message = getUtility(IMessageSet).fromText(
-            subject='', content=comment['comment'], datecreated=comment_time)
+            subject='', content=comment['comment'],
+            datecreated=comment_datecreated)
 
         return message
 

=== modified file 'lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt'
--- lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt	2008-04-18 15:43:57 +0000
+++ lib/canonical/launchpad/doc/externalbugtracker-trac-lp-plugin.txt	2008-04-18 17:20:32 +0000
@@ -278,15 +278,22 @@
 We'll add some comments to our example bugs in order to demonstrate the
 comment importing functionality.
 
+    >>> import time
+    >>> comment_datetime = datetime(2008, 4, 18, 17, 0, 0)
+    >>> comment_timestamp = int(time.mktime(comment_datetime.timetuple()))
+
     >>> test_transport.remote_bugs['1'].comments = [
     ...     {'id': '1-1', 'type': 'comment',
     ...      'user': 'Test <test@canonical.com>',
-    ...      'comment': 'Hello, world!'}]
+    ...      'comment': 'Hello, world!',
+    ...      'time': comment_timestamp}]
     >>> test_transport.remote_bugs['2'].comments = [
     ...     {'id': '2-1', 'type': 'comment', 'user': 'test@canonical.com',
-    ...      'comment': 'Hello again, world!'},
+    ...      'comment': 'Hello again, world!',
+    ...      'time': comment_timestamp},
     ...     {'id': '2-2', 'type': 'comment', 'user': 'foo.bar',
-    ...      'comment': 'More commentary.'}]
+    ...      'comment': 'More commentary.',
+    ...      'time': comment_timestamp}]
 
 We also need an example Bug, BugTracker and BugWatch.
 
@@ -367,7 +374,8 @@
     Successfully validated the token.
 
     >>> trac.bugs[1]['comments']
-    {'1-1': {'comment': 'Hello, world!', 'type': 'comment', 'id': '1-1',
+    {'1-1': {'comment': 'Hello, world!', 'time': 1208518200,
+             'type': 'comment', 'id': '1-1',
              'user': 'Test <test@canonical.com>'}}
 
 getPosterForComment() returns a tuple of (displayname, emailaddress) for
@@ -400,7 +408,12 @@
 the comment's poster.
 
     >>> from zope.component import getUtility
-    >>> from canonical.testing import IPersonSet
     >>> poster = getUtility(IPersonSet).getByEmail('test@canonical.com')
     >>> message_one = trac.getMessageForComment(bug_watch, '1-1', poster)
 
+The Message returned by getMessageForComment() contains the full text of
+the original comment.
+
+    >>> print message_one.text_contents
+    Hello, world!
+

